/**
 *    Copyright 2013 Autentia Real Business Solution S.L.
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
package com.autentia.web.rest.wadl.builder;

import net.java.dev.wadl._2009._02.Param;
import net.java.dev.wadl._2009._02.Request;

import java.util.Collections;

class RequestBuilder {

    static final Request EMPTY_REQUEST = new Request().withParam(Collections.<Param>emptyList());

    Request build(MethodContext ctx) {
        final Request request = new Request().withParam(ctx.getParamBuilder().buildNoTemplateParams());
        return request.equals(EMPTY_REQUEST) ? null : request;
    }

}
